package com.lasalle.mqttmosquitto;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

/**
 * @class ParametresConnexionActivity
 * @brief Activité de paramétrage de connexion MySQL
 */
public class ParametresConnexionActivity extends AppCompatActivity
{
    private static final String TAG = "ParametresConnexion"; //!< le TAG de la classe pour les logs
    String brokerMosquitto;
    int portMosquitto = 1883;
    String applicationId;

    // les éléments de l'IHM
    EditText edtBrokerMosquitto;
    EditText edtPortMosquitto;
    EditText edtApplicationId;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_parametres_connexion);

        Intent intent = getIntent();
        brokerMosquitto = intent.getStringExtra("brokerMosquitto");
        portMosquitto = intent.getIntExtra("portMosquitto", portMosquitto);
        applicationId = intent.getStringExtra("applicationId");

        edtBrokerMosquitto = (EditText) this.findViewById(R.id.edtBrokerMosquitto);
        edtPortMosquitto = (EditText) this.findViewById(R.id.edtPortMosquitto);
        edtApplicationId = (EditText) this.findViewById(R.id.edtApplicationId);

        edtBrokerMosquitto.setText(brokerMosquitto, TextView.BufferType.EDITABLE);
        Integer port = portMosquitto;
        edtPortMosquitto.setText(port.toString(), TextView.BufferType.EDITABLE);
        edtApplicationId.setText(applicationId, TextView.BufferType.EDITABLE);
    }

    public void valider(View view) // Ok
    {
        Intent intent = new Intent();
        brokerMosquitto = edtBrokerMosquitto.getText().toString();
        portMosquitto = Integer.parseInt(edtPortMosquitto.getText().toString());
        applicationId = edtApplicationId.getText().toString();

        intent.putExtra("brokerMosquitto", brokerMosquitto);
        intent.putExtra("portMosquitto", portMosquitto);
        intent.putExtra("applicationId", applicationId);

        setResult(RESULT_OK, intent);
        finish();
    }

    public void annuler(View view) // Annuler
    {
        Intent intent = new Intent();
        setResult(RESULT_CANCELED, intent);
        finish();
    }
}
